package kdf

import (
	"errors"
)

var (
	ErrBadData    error = errors.New("unable to cast data into buffer for KDF")
	ErrNoKeyLen   error = errors.New("no key length configured or bad key length for KDF")
	ErrNoRounds   error = errors.New("no rounds number configured or bad number of rounds for KDF")
	ErrNoSalt     error = errors.New("no salt configured or bad salt value for KDF")
	ErrNoSecret   error = errors.New("no secret configured or bad secret value for KDF")
	ErrUnknownKdf error = errors.New("unable to determine matching KDF")
)
